Robot Simulator of the Robotics Group for Self-Organization of Control: Playground Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Playground Class Reference

`#include <playground.h>`

Inherits AbstractGround.

Inherited by ClosedPlayground.

Inheritance diagram for Playground:

[legend]
Collaboration diagram for Playground:

[legend]
List of all members.

## Public Member Functions
| Playground (const OdeHandle &odeHandle, const OsgHandle &osgHandle, const osg::Vec3 &dimension=osg::Vec3(7.0, 0.2, 0.5), double factorxy=1, bool createGround=true)
virtual void | changeGeometry (double length, double width, double height, double factorxy)
virtual void | setWallSubstance (const Substance &substance)
## Protected Member Functions
virtual void | create ()
| overload this function to create the obstactle. All primitives should go into the list "obst"
## Protected Attributes
double | length
double | width
double | height
double | factorlength2

## Constructor & Destructor Documentation

Playground | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | const osg::Vec3 & | dimension = `osg::Vec3(7.0, 0.2, 0.5)`,
|  | double | factorxy = `1`,
|  | bool | createGround = `true` |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual void changeGeometry | ( | double | length,
|  | double | width,
|  | double | height,
|  | double | factorxy |
| ) |  |  | `[inline, virtual]`

Reimplemented from AbstractGround.

virtual void create | ( |  | ) | `[inline, protected, virtual]`

overload this function to create the obstactle. All primitives should go into the list "obst"

Implements AbstractObstacle.

Reimplemented in ClosedPlayground.

virtual void setWallSubstance | ( | const Substance & | substance | ) | `[inline, virtual]`

## Member Data Documentation

double factorlength2`[protected]`

double height`[protected]`

double length`[protected]`

double width`[protected]`

The documentation for this class was generated from the following file:

- playground.h